Skip to main content
POST
/
savings
/
orders
curl --request POST \
  --url https://{host}/savings/orders \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-user-id: <x-user-id>' \
  --data '
{
  "side": "Buy",
  "currency": "EUR",
  "amount": 250
}
'
{
  "id": "7501d8537fb3fc001234abcd",
  "displayId": "ORD-ABC123",
  "side": "Buy",
  "status": "Pending",
  "currency": "EUR",
  "amount": 250,
  "settledAt": "2024-07-12T00:00:00.000Z",
  "createdAt": "2024-07-11T10:00:00Z",
  "updatedAt": "2024-07-11T10:00:00Z"
}

Authorizations

Authorization
string
header
required

Auth0-issued access token that includes the scopes listed for the endpoint.

Headers

x-user-id
string
required

User identifier for the M2M client to specify which user's data to access.

Pattern: ^[a-f0-9]{24}$

Body

application/json
side
enum<string>
required

Savings order direction.

Available options:
Buy,
Sell
currency
enum<string>
required

ISO 4217 currency that identifies the savings product.

Available options:
GBP,
EUR,
USD
amount
number<double>
required

Monetary amount to invest or withdraw.

Required range: x >= 0.01

Response

Savings order accepted for processing

id
string
required

Savings order identifier.

side
enum<string>
required

Direction of the savings order (Buy for top up, Sell for withdrawal).

Available options:
Buy,
Sell
status
enum<string>
required

Current order status.

Available options:
Pending,
Matched,
Rejected,
Settled,
Cancelled
isin
string
required

ISIN of the savings product.

consideration
object
required

Savings order consideration with currency and amount.

displayId
string

User-friendly display identifier for the order (e.g. ORD-ABC123).

quantity
number<double>

Order quantity (optional).

settledAt
string<date-time> | null

ISO datetime when the savings order is expected to settle.

fees
object

Fee breakdown for the savings order (optional).

createdAt
string<date-time>

Timestamp when the order was created (optional).

filledAt
string<date-time> | null

ISO datetime when order was matched

unitPrice
object

Price per unit in major units (e.g. 1.00 for €1.00).

fxRate
object

Exchange rate used for currency conversion (optional, present for foreign currency orders).

isCancellable
boolean

Whether the order can be cancelled by the user.